options ls=80 ps=60 formdlim='-';
ods rtf file='Insert correct path\Results_serotonin_ch1_5_5.rtf'; 

/*Import the data*/
PROC IMPORT OUT= WORK.FIVEHT 
            DATAFILE= "Insert correct path\Serotonin_ch1_5_5.txt" 
            DBMS=TAB REPLACE;
     GETNAMES=YES;
     DATAROW=2; 
RUN;

/*Table 1.1. Correlations among serotonin levels*/
proc corr data=FiveHT;
   var mpre mpost cpre cpost;
run;

/*Figure 1.10. Serotonin levels in mothers*/
 goptions reset = all;
 goptions htext = 2;
 symbol1 value=dot color=black interpol = join repeat = 50;
 axis1 order =(-1 to 1 by 1) label = (a=0 'Time' ) minor=none;
 axis2 order =(0 to 300 by 50) label = (a=90 'Serotonin level in mothers' ) minor=none ;

data mothers;
  set FiveHT;
  sertraline = mpre; Time = ' Pre'; output;
  sertraline = mpost; Time = 'Post'; output;
run;

proc gplot data = mothers;
 plot sertraline*Time=id / haxis = axis1 vaxis = axis2 nolegend;
run;

/*Figure 1.10. Serotonin levels in infants*/
goptions reset = all;
 goptions htext = 2;
 symbol1 value=dot color=black interpol = join repeat = 50;
 axis1 order =(-1 to 1 by 1) label = (a=0 'Time' ) minor=none;
 axis2 order =(0 to 300 by 50) label = (a=90 'Serotonin level in infants' ) minor=none ;

data infants;
  set FiveHT;
  sertraline = cpre; Time = ' Pre'; output;
  sertraline = cpost; Time = 'Post'; output;
run;

proc gplot data = infants;
 plot sertraline*Time=id / haxis = axis1 vaxis = axis2 nolegend;
run; 

ods rtf close;


